org.apache.hadoop.yarn.server.federation.store.records

## Class SubClusterDeregisterRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SubClusterDeregisterRequest

- Direct Known Subclasses:
    SubClusterDeregisterRequestPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SubClusterDeregisterRequest
      extends Object

  The request sent to set the state of a subcluster to either SC_DECOMMISSIONED, SC_LOST, or SC_DEREGISTERED.

  The update includes details such as:

  - `SubClusterId`
  - `SubClusterState`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubClusterDeregisterRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SubClusterState` | `getState()` Get the `SubClusterState` of the subcluster.
    `abstract SubClusterId` | `getSubClusterId()` Get the `SubClusterId` representing the unique identifier of the subcluster.
    `static SubClusterDeregisterRequest` | `newInstance(SubClusterId subClusterId, SubClusterState subClusterState)`
    `abstract void` | `setState(SubClusterState state)` Set the `SubClusterState` of the subcluster.
    `abstract void` | `setSubClusterId(SubClusterId subClusterId)` Set the `SubClusterId` representing the unique identifier of the subcluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubClusterDeregisterRequest

          public SubClusterDeregisterRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static SubClusterDeregisterRequest newInstance(SubClusterId subClusterId,
                                                                                                                         SubClusterState subClusterState)

    - #### getSubClusterId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract SubClusterId getSubClusterId()

      Get the `SubClusterId` representing the unique identifier of the subcluster.
      Returns:
        the subcluster identifier

    - #### setSubClusterId

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setSubClusterId(SubClusterId subClusterId)

      Set the `SubClusterId` representing the unique identifier of the subcluster.
      Parameters:
        `subClusterId` - the subcluster identifier

    - #### getState

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract SubClusterState getState()

      Get the `SubClusterState` of the subcluster.
      Returns:
        the state of the subcluster

    - #### setState

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setState(SubClusterState state)

      Set the `SubClusterState` of the subcluster.
      Parameters:
        `state` - the state of the subCluster

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.